Name:           python-fast2q
Version:        2.7.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Python3 program that counts sequence occurences in fastq files.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/afombravo/2FAST2Q
Source:         %{pypi_source fast2q}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fast2q' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fast2q
Summary:        %{summary}

%description -n python3-fast2q %_description


%prep
%autosetup -p1 -n fast2q-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fast2q -f %{pyproject_files}


%changelog
%autochangelog